<?xml version="1.0" encoding="UTF-8"?>
<polycomConfig>

<#list profile.BottomKeys.MetaswitchSoftKeyAction as keyAction>
<#if keyAction == "MiaRecRecordButton">

  <#assign label = profile.BottomKeys.MetaswitchSoftKeyLabel[keyAction_index]>
  <#assign miarec_url = profile.BottomKeys.MiaRecServerAddress[keyAction_index]>
  <#assign key_num = keyAction_index+1>

  ${logger.log("Key number " + key_num + " maps to MiaRec record button")}
<softkey
  softkey.${key_num}.label="${label}"
  softkey.${key_num}.action="${miarec_url}/api/phone_services/polycom/calls/active_call?login=${userData.directoryNumber}&pat=${userData.commportalPAT}"
  softkey.${key_num}.enable="1"
  softkey.${key_num}.insert="0"
  softkey.${key_num}.precede="1"
  softkey.${key_num}.use.active="1"
  softkey.${key_num}.use.alerting="0"
  softkey.${key_num}.use.dialtone="0"
  softkey.${key_num}.use.hold="0"
  softkey.${key_num}.use.idle="0"
  softkey.${key_num}.use.proceeding="0"
  softkey.${key_num}.use.setup="0"
>
</softkey>      

</#if>
</#list>      

</polycomConfig>